lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:   Sun, 6 Nov 2016 00:05:12 -0200
From:   Marcos Paulo de Souza <marcos.souza.org@...il.com>
To:     Darren Hart <dvhart@...radead.org>
Cc:     corentin.chary@...il.com, acpi4asus-user@...ts.sourceforge.net,
        platform-driver-x86@...r.kernel.org, linux-kernel@...r.kernel.org,
        stable@...r.kernel.org
Subject: Re: [PATCH v2] platform/x86/asus-nb-wmi.c: Add X45U quirk

Hi Darren,

On Sat, Nov 05, 2016 at 11:24:04AM -0700, Darren Hart wrote:
> On Mon, Oct 31, 2016 at 11:56:10PM -0200, Marcos Paulo de Souza wrote:
> > Without this patch, the Asus X45U wireless card can't be turned
> > on (hard-blocked), but after a suspend/resume it just starts working.
> > 
> > Following this bug report[1], there are other cases like this one, but
> > this Asus is the only model that I can test.
> > 
> > [1] https://ubuntuforums.org/showthread.php?t=2181558
> > 
> > Signed-off-by: Marcos Paulo de Souza <marcos.souza.org@...il.com>
> > Cc: <stable@...r.kernel.org>
> > 
> > ---
> > This patch applies smoothly in 4.8.6 and 4.4.29. I hope now I followed
> > the instructions correctly.
> 
> Hi Marcos,
> 
> You'll find exact steps in the stable_kernel_rules.txt document regarding how to
> annotate the commit message with Cc lines indicating to which versions this
> patch should be applied.
> 
> If, for example, you have verified that this patch is relevant only to 4.4 and
> forward, you would include:
> 
> Cc: <stable@...r.kernel.org> # 4.4.x-
> 
> But this should mean that the patch is explicitly broken or otherwise
> inappropriate for 4.3 and earlier.

Yes, I have misread the documentation. I could apply the patch as is just in
the versions 4.8.6 and 4.4.29, but maybe I could rework te patch earlier versions.

But, aside from stable tree, do you agree with this change, since it fixes the
wireless problem in this laptop?

Thanks,

> 
> Thanks,
> 
> -- 
> Darren Hart
> Intel Open Source Technology Center

Powered by blists - more mailing lists